# OpenLayers.Geometry.MultiPoint

MultiPoint is a collection of Points. Create a new instance with the OpenLayers.Geometry.MultiPoint constructor.

#### Inherits from

- OpenLayers.Geometry.Collection
- OpenLayers.Geometry

Summary

OpenLayers.Geometry.MultiPoint | MultiPoint is a collection of Points.
Constructor |
OpenLayers.Geometry.MultiPoint | Create a new MultiPoint Geometry
Functions |
addPoint | Wrapper for <OpenLayers.Geometry.Collection.addComponent>
removePoint | Wrapper for <OpenLayers.Geometry.Collection.removeComponent>

### Constructor

### OpenLayers.Geometry.MultiPoint

Create a new MultiPoint Geometry

#### Parameters

components | {Array(OpenLayers.Geometry.Point)}

#### Returns

{OpenLayers.Geometry.MultiPoint}

### Functions

### addPoint

> addPoint: function( | point,
> | index | )

Wrapper for <OpenLayers.Geometry.Collection.addComponent>

#### Parameters

point | {OpenLayers.Geometry.Point} Point to be added
index | {Integer} Optional index

### removePoint

> removePoint: function( | point | )

Wrapper for <OpenLayers.Geometry.Collection.removeComponent>

#### Parameters

point | {OpenLayers.Geometry.Point} Point to be removed

> addPoint: function( | point,
> | index | )

Wrapper for OpenLayers.Geometry.Collection.addComponent

> removePoint: function( | point | )

Wrapper for OpenLayers.Geometry.Collection.removeComponent
Create a new MultiPoint Geometry
A Collection is exactly what it sounds like: A collection of different Geometries.
A Geometry is a description of a geographic object.
Point geometry class.
Close